import EventDispatcher from '../EventDispatcher';
import { LayoutEventBusType } from '../LayoutEventBusType';
declare class EventDispatcherFactory {
    static _instance: EventDispatcher<unknown>;
    static get instance(): EventDispatcherFactory;
    fireEvent(type: LayoutEventBusType, arg?: any): void;
    addEvent(type: LayoutEventBusType, fn: (arg?: any) => void, internal?: boolean): void;
}
export default EventDispatcherFactory;
